Package org.pushingpixels.trident

# Class TridentConfig

java.lang.Object
org.pushingpixels.trident.TridentConfig

public class TridentConfig extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TridentConfig.FixedRatePulseSource`
`static interface`
`TridentConfig.PulseSource`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyInterpolator(PropertyInterpolator pInterpolator)`
`void`
`addPropertyInterpolatorSource(PropertyInterpolatorSource pInterpolatorSource)`
`void`
`addUIToolkitHandler(UIToolkitHandler uiToolkitHandler)`
`static TridentConfig`
`getInstance()`
`PropertyInterpolator`
`getPropertyInterpolator(Object... values)`
`Collection<PropertyInterpolator>`
`getPropertyInterpolators()`
`TridentConfig.PulseSource`
`getPulseSource()`
`Collection<UIToolkitHandler>`
`getUIToolkitHandlers()`
`void`
`removePropertyInterpolator(PropertyInterpolator pInterpolator)`
`void`
`removeUIToolkitHandler(UIToolkitHandler uiToolkitHandler)`
`void`
`setPulseSource(TridentConfig.PulseSource pulseSource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static TridentConfig getInstance()

### getUIToolkitHandlers

public Collection<UIToolkitHandler> getUIToolkitHandlers()

### getPropertyInterpolators

public Collection<PropertyInterpolator> getPropertyInterpolators()

### getPropertyInterpolator

public PropertyInterpolator getPropertyInterpolator(Object... values)

### addPropertyInterpolator

public void addPropertyInterpolator(PropertyInterpolator pInterpolator)

### addPropertyInterpolatorSource

public void addPropertyInterpolatorSource(PropertyInterpolatorSource pInterpolatorSource)

### removePropertyInterpolator

public void removePropertyInterpolator(PropertyInterpolator pInterpolator)

### addUIToolkitHandler

public void addUIToolkitHandler(UIToolkitHandler uiToolkitHandler)

### removeUIToolkitHandler

public void removeUIToolkitHandler(UIToolkitHandler uiToolkitHandler)

### setPulseSource

public void setPulseSource(TridentConfig.PulseSource pulseSource)

### getPulseSource

public TridentConfig.PulseSource getPulseSource()